<?
require("../clases/mp_chat.class.php");
require("../clases/alumno.class.php"); $objd= new alumno();
$obj = new mp_chat();
$t = $_REQUEST["text"];
if($t=="R"){
		
		 $iddoc = $_REQUEST['iddoc'];
		
	 	 $idalu_r=$_REQUEST['idalu_r'];//id alumno recibe
		 if($objd->BuscarPorCodigo($idalu_r))
		 {
			 $email_r = $objd->getEmail();
		 }
		 
		 $idalu_e=$_REQUEST['idalu_e'];//id alumno envia
		 if($objd->BuscarPorCodigo($idalu_e))
		 {
			 $email_e = $objd->getEmail();
		 }
    	 $msg=$_POST['msg'];
		
		/////////////////////////////////////////////////////////////////	
		if($obj->ActualizarStatus($email_e,$email_r)){;}
		/////////////////////////////
		if($obj->Crear($email_r,$email_e,$msg,$iddoc,"1")){
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../chatprivado.php?idalu_r=$idalu_r&idalu_e=$idalu_e&id=$iddoc';";					
	 				echo "</script>"; 
							
		}else{
		       echo "no pasa nada";
		     }
}

/*if($t=="e"){
 $iddoccur = $_REQUEST["iddoccur"];
 $cod = $_REQUEST["id"];
	if($obj->BuscarPorCodigo($cod))
	 {   
		 $archivo = $obj->getArchivo();
		 $ruta = "../temas/".$archivo;
		 unlink($ruta); 
		 
		 if($obj->Eliminar($cod)){
		   
			   echo "<script languaje=javascript>\n"; 
				echo "location.href ='../manclase.php?id=$iddoccur';";					
				echo "</script>";		
		   }
		   else
		   {
			echo "no pasa nada";
		   }
	   }
}*/

////////////////////////
	

?>
